<?php 

class controller_component_pro100_answers extends component {
	
	public function action_index() {
		
		if (isset($_REQUEST['npage'])) $npage = $_REQUEST['npage'];		
		else $npage=isset($this->url['params']['npage'])?$this->url['params']['npage']:1;
		$this->data['npage']=$npage;
		if (isset($_POST['my_question']) and (trim($_POST['my_question'])!='') and (trim($_POST['my_autor'])!='')){
		  $this->model->add_question($_POST['my_autor'],$_POST['my_question']);
		  header('Location: http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
	    }

		$this->data['error'] = 0;
		$this->data['msg'] = '';
        if(isset($this->url['params']['mes'])){
		  $mes=isset($this->url['params']['mes']);
		  $this->data['error'] = $mes==1?0:1;
		  $this->data['msg'] = $mes==1?'Операция прошла успешно!':'Произошла ошибка!';
		}
		
		$this->data['q_count']=$this->model->q_count_pages();
		$this->data['questions']=$this->model->get_questions($npage);
        $this->data['page_name']='Вопросы';
		$this->page['html'] = $this->load_view('left_menu');
		$this->page['html'] .= $this->load_view('index');

		return $this->page;
	}
	
	public function action_answer(){

	    if (isset($_REQUEST['id_quest'])) $id_quest = $_REQUEST['id_quest'];
		else $id_quest=isset($this->url['params']['id_quest'])?$this->url['params']['id_quest']:0;
		if (isset($_REQUEST['npage'])) $npage = $_REQUEST['npage'];		
		else $npage=isset($this->url['params']['npage'])?$this->url['params']['npage']:1;
		$this->data['a_count']=$this->model->a_count_pages($id_quest);
		
		$this->data['npage']=$npage;
		if (isset($_POST['add_ans']) and (trim($_POST['my_answer'])!='') and (trim($_POST['my_autor'])!='')){
		  $this->model->add_ans($_POST['add_ans'],$_POST['my_autor'],$_POST['my_answer']);
		  header('Location: http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
	    }

		  $this->data['id_quest']=$id_quest;
		  $this->data['answers']=$this->model->get_answers($id_quest, $npage);
		  $this->data['question']=$this->model->get_question($id_quest);

		$this->data['error'] = 0;
		$this->data['msg'] = '';
        if(isset($this->url['params']['mes'])){
		  $mes=isset($this->url['params']['mes']);
		  $this->data['error'] = $mes==1?0:1;
		  $this->data['msg'] = $mes==1?'Операция прошла успешно!':'Произошла ошибка!';
		}

		$this->data['page_name']='Ответы';
		$this->page['html'] = $this->load_view('left_menu');
		$this->page['html'] .= $this->load_view('answer');
		return $this->page;
	}
	
	public function action_del_question(){
	    if (isset($_REQUEST['id_quest'])) $id_quest = $_REQUEST['id_quest'];
		else $id_quest=isset($this->url['params']['id_quest'])?$this->url['params']['id_quest']:0;
	    $del=$this->model->del_question($id_quest);
		$mes=$del>0?1:2;
		header('Location: ' . SITE_URL . '/admin/pro100_answers/mes='.$mes);
	}

	public function action_del_answer(){
	    if (isset($_REQUEST['id_quest'])) $id_quest = $_REQUEST['id_quest'];
		else $id_quest=isset($this->url['params']['id_quest'])?$this->url['params']['id_quest']:0;
	    if (isset($_REQUEST['id_ans'])) $id_quest = $_REQUEST['id_ans'];
		else $id_ans=isset($this->url['params']['id_ans'])?$this->url['params']['id_ans']:0;
	    $del=$this->model->del_answer($id_ans);
		$mes=$del>0?1:2;
		header('Location: ' . SITE_URL . '/admin/pro100_answers/answer/id_quest='.$id_quest.'/mes='.$mes);
	}
	
	public function action_add_answer(){
	    if (isset($_REQUEST['id_quest'])) $id_quest = $_REQUEST['id_quest'];
		else $id_quest=isset($this->url['params']['id_quest'])?$this->url['params']['id_quest']:0;
		
		if (isset($_POST['autor'])){
		  $add=$this->model->add_ans($id_quest, $_POST['autor'],$_POST['answer']);
		  $mes=$add>0?1:2;
		  if ($mes==1) header('Location: ' . SITE_URL . '/admin/pro100_answers/answer/id_quest='.$id_quest.'/mes='.$mes);
		}

		$this->data['id_quest']=$id_quest;
		$this->data['question']=$this->model->get_question($id_quest);

		$this->data['error'] = 0;
		$this->data['msg'] = '';
        if(isset($this->url['params']['mes'])){
		  $mes=isset($this->url['params']['mes']);
		  $this->data['error'] = $mes==1?0:1;
		  $this->data['msg'] = $mes==1?'Операция прошла успешно!':'Произошла ошибка!';
		}

		$this->data['page_name']='Ответить';
		$this->data['text_submit'] = 'Ответить';

		$this->page['html'] = $this->load_view('left_menu');
		$this->page['html'] .= $this->load_view('add_answer');
		return $this->page;
	} 

	public function action_edit_answer(){
	    if (isset($_REQUEST['id_quest'])) $id_quest = $_REQUEST['id_quest'];
		else $id_quest=isset($this->url['params']['id_quest'])?$this->url['params']['id_quest']:0;
	    if (isset($_REQUEST['id_ans'])) $id_quest = $_REQUEST['id_ans'];
		else $id_ans=isset($this->url['params']['id_ans'])?$this->url['params']['id_ans']:0;
		
		if (isset($_POST['autor'])){
		  $edit=$this->model->edit_answer($id_ans, $_POST['autor'],$_POST['answer']);
		  $mes=$edit>0?1:2;
		  if ($mes==1) header('Location: ' . SITE_URL . '/admin/pro100_answers/answer/id_quest='.$id_quest.'/mes='.$mes);
		}
		
		$this->data['answer']=$this->model->get_answer($id_ans);
		
		$this->data['id_quest']=$id_quest;
		$this->data['question']=$this->model->get_question($id_quest);

		$this->data['error'] = 0;
		$this->data['msg'] = '';
        if(isset($this->url['params']['mes'])){
		  $mes=isset($this->url['params']['mes']);
		  $this->data['error'] = $mes==1?0:1;
		  $this->data['msg'] = $mes==1?'Операция прошла успешно!':'Произошла ошибка!';
		}

		$this->data['page_name']='Редактирование ответа';
		$this->data['text_submit'] = 'Изменить';

		$this->page['html'] = $this->load_view('left_menu');
		$this->page['html'] .= $this->load_view('add_answer');
		return $this->page;
	} 
}
